%define	major		0
%define	libname		%mklibname iec61883_ %{major}
%define	libnamedev	%mklibname iec61883 -d

Name:		libiec61883
Summary:	Streaming library for IEEE1394
Version:	1.2.0
Release:	%mkrel 13
License:	LGPLv2+
Group:		System/Libraries
Source:		http://linux1394.org/dl/%{name}-%{version}.tar.gz
Patch0:		libiec61883-1.2.0-automake-1.3.patch
URL:		http://linux1394.org
BuildRequires:	libraw1394-devel >= 1.2.0

%description
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%package -n %{libname}
Group:		System/Libraries
Summary:	Streaming library for IEEE1394

%description -n %{libname}
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%package -n %{libnamedev}
Summary:	Development libs for libiec61883
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}iec61883_0-devel < 1.2.0-9

%description -n %{libnamedev}
Development libraries needed to build applications against libiec61883

%package -n %{name}-utils
Summary:	Utilities for use with libiec61883
Group:		Communications/Mobile

%description -n	%{name}-utils
Utilities that make use of iec61883.

%prep
%setup -q
%patch0 -p1

perl -pi -e's,noinst,bin,' examples/Makefile.am

%build
autoreconf -vfi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc examples/*.c
%{_libdir}/%{name}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files utils
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-13.mga6
+ Revision: 945050
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-12.mga5
+ Revision: 742795
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-11.mga5
+ Revision: 681530
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-10.mga4
+ Revision: 532633
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 1.2.0-9.mga4
+ Revision: 469022
- fix devel pkg name
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-8.mga3
+ Revision: 357516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 1.2.0-7.mga3
+ Revision: 340595
- fix for automake 1.13

* Tue Oct 09 2012 fwang <fwang> 1.2.0-6.mga3
+ Revision: 303867
- cleanup spec

* Wed Oct 03 2012 malo <malo> 1.2.0-5.mga3
+ Revision: 302605
- fix unversioned Provides
- spec clean-up
- update RPM group

* Thu Jan 13 2011 ahmad <ahmad> 1.2.0-4.mga1
+ Revision: 7818
- drop old/unneeded scriptlets
- imported package libiec61883


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-4mdv2011.0
+ Revision: 602559
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-3mdv2010.1
+ Revision: 520869
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2.0-2mdv2010.0
+ Revision: 425567
- rebuild

* Sun Feb 22 2009 Emmanuel Andry <eandry@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 343905
- New version 1.2.0
- check major

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.1.0-4mdv2009.0
+ Revision: 222887
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 21 2007 Stefan van der Eijk <stefan@mandriva.org> 1.1.0-2mdv2007.0
+ Revision: 111581
- rebuild
- move man pages to utils package

* Sun Jan 21 2007 Stefan van der Eijk <stefan@mandriva.org> 1.1.0-1mdv2007.1
+ Revision: 111416
- fix setup
- add manpages
- 1.1.0 release
- Import libiec61883

* Fri Jan 27 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.0-0.20060103.2mdk
- add version to provides for devel package

* Tue Jan 03 2006 Austin Acton <austin@mandriva.org> 1.1.0-0.20060103.1mdk
- 1.1.0 snapshot

* Sun Apr 24 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-1mdk
- initial Mandriva package
- 1.0.0

* Wed Apr 06 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fixes for building properly on x86_64.

* Tue Mar 29 2005 Jarod Wilson <jarod@wilsonet.com>
- Fixed utils so they build properly

* Sat Feb 26 2005 Jarod Wilson <jarod@wilsonet.com>
- Rolled in utils

* Wed Feb 23 2005 Jarod Wilson <jarod@wilsonet.com>
- Initial build

